
 
 
 
 
 
 
 
 
 
 
 





# 1 "game\\inc\\ShadCam.h" 1




# 1 "engine\\inc\\BSPDefs.h" 1
# 387 "engine\\inc\\BSPDefs.h"

# 5 "game\\inc\\ShadCam.h" 2


# 1 "engine\\inc\\List.h" 1
 





# 73 "engine\\inc\\List.h"

# 7 "game\\inc\\ShadCam.h" 2

# 1 "engine\\inc\\3DSPath.h" 1
# 24 "engine\\inc\\3DSPath.h"

# 8 "game\\inc\\ShadCam.h" 2


enum
{
	CAM_TRACK = 0,
	CAM_COMPASS,
	CAM_FREE,
	CAM_CUT,
	CAM_CUTSCENE,
	CAM_FOLLOWPATH,
	CAM_SNIPE,
	CAM_FANCY,
};

 
enum
{
	CAM_PATH_1 = 0,
	CAM_PATH_2,
	CAM_PATH_DW_CAM,			 
	CAM_PATH_DW_TARG,			 
	CAM_PATH_MG_CAM,			 
	CAM_PATH_MG_TARG,			 
	CAM_PATH_AS_CAM,			 
	CAM_PATH_AS_TARG,			 
	CAM_PATH_TEN_CAM,			 
	CAM_PATH_TEN_TARG,			 
	CAM_PATH_PROF_CAM,			 
	CAM_PATH_PROF_TARG,			 
};

enum {
	FCAM_SOULCOLLECT = 0,
	FCAM_SOULUP,
	FCAM_USETEDDY,
};

typedef struct
{
 
	UPKData		*RomFile;
	s16			FileID;
	t_3DS_PATH	*PathPtr;
}t_CAM_PATH_LIST;
typedef struct
{
	t_VECT		Pos;
	float		Frame;
	float		Speed;
	t_3DS_PATH	*Path;
}t_PATH_POINT;




typedef struct
{
	t_VECT	Source;
	t_VECT	Target;
	float radius;
}t_CAM_POS_DEF;


extern  t_CAM_POS_DEF CameraDistanceTable[];

 
extern int crouchcam;

extern Sint32	DistIndex;
extern Sint32	OldDistIndex;
extern Sint32	fOldDistIndex;


extern  Sint32		SnapCameraFlag;
extern	t_CAMERA	TrackCamera;
extern	t_CAMERA	FreeCamera;
extern	t_CAMERA	CutCamera;
extern	t_CAMERA	PathCamera;
extern	t_CAMERA	SnipeCamera;
extern	t_CAMERA	FancyCamera;
extern	Sint32		CameraMode;
extern	int crouchcam;
extern  t_CAM_PATH_LIST	CameraPaths[];

extern	void		SetCutawayCamera(t_CAMERA *Camera, t_VECT *sv,t_VECT *dv);
extern	void		CutawayCamera(t_CAMERA *Camera);
extern	t_LINKNODE	*CreateCamera(t_VECT *Pos, t_VECT *Rot, Sint32 id, Sint32 Var1, Sint32 Var2);
extern	void		UpdateIngameCamera(void);
extern	void		InitIngameCamera(void);
extern  void		InitFollowCam(t_3DS_PATH *SourcePath, t_3DS_PATH	*DestPath, float SrcSpeed, float DestSpeed, float SrcIndex, float DestIndex);
 
 
extern	void		InitCameraPathList(t_CAM_PATH_LIST *List);
extern	void		FollowPathUpdateCamera(t_CAMERA *Camera);
extern  void		PointFollowPath(t_PATH_POINT *PPoint);


# 22 "game\\cutscene\\inc\\CSCamera.h" 2



 
 
 
typedef
enum	e_CSCameraMode
{
	CSCAMERAMODE_FIXED	=	0,
	CSCAMERAMODE_LOOK_AT_ACTOR,
	CSCAMERAMODE_FOLLOW_PATH,
	CSCAMERAMODE_REL_ACTOR,
	CSCAMERAMODE_MOVING,

}	t_CSCameraMode;


 
 
 
extern	t_CAM_PATH_LIST	CameraPathListSwampEnterChurch[];
extern  t_CAM_PATH_LIST	CameraPathListIntro[];
extern	t_CAM_PATH_LIST	CameraPathListCredits[];





extern float	CutCamPanX;
extern float	CutCamPanY;
extern float	CutCamPanZ;
extern Sint32	CutCamPanXTime;
extern Sint32	CutCamPanYTime;
extern Sint32	CutCamPanZTime;




 
 
 
extern	Sint32	CutSceneGetCameraModeNumber	(const Uint8*);
extern	void	CutSceneUpdateCamera		(void);
extern	void	CSCameraShake				(float amplitude);





 
 
 
# 26 "game\\cutscene\\inc\\CutScene.h" 2







 
 
 
enum
{
	CS_DARKSOUL=0,
	CS_SHADCHANGE,
	CS_GIVE_TEDDY,
	CS_FREE_HANDS,
	CS_REMOVE_DARKSOUL,
	CS_HOLD_ECLIPSER,
	CS_GIVE_ECLIPSER_TO_NETTIE,
	CS_ECLIPSER_IN_SHADOWMAN,
	CS_REMOVE_ECLIPSER,
	CS_HOLD_DESERTEAGLE,
	CS_FIRE_PISTOL,
	CS_MILTON_FIRES,
	CS_MARCO_FIRES,
	CS_AVERY_FIRES,
	CS_HOLD_BEAR,
	CS_GIVE_BEAR_TO_LUKE,
	CS_LUKE_HIDES_BEAR,
	CS_REMOVE_BEAR,
	CS_DEMON_TROOPER,
	CS_MAKE_IT_LIGHT,
	CS_MAKE_IT_DARK,